org.apache.hc.core5.http2.protocol

## Class H2ResponseConformance

- java.lang.Object
- - org.apache.hc.core5.http2.protocol.H2ResponseConformance

- All Implemented Interfaces:
    HttpResponseInterceptor

      @Internal
       @Contract(threading=IMMUTABLE)
      public class H2ResponseConformance
      extends Object
      implements HttpResponseInterceptor

  This response interceptor is responsible for making the protocol conformance checks of incoming or outgoing HTTP/2 response messages.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static H2ResponseConformance` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `H2ResponseConformance()`
    `H2ResponseConformance(String... illegalHeaderNames)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(HttpResponse response, EntityDetails entity, HttpContext context)` Processes a response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final H2ResponseConformance INSTANCE

  - ### Constructor Detail

    - #### H2ResponseConformance

          @Internal
          public H2ResponseConformance(String... illegalHeaderNames)

    - #### H2ResponseConformance

          public H2ResponseConformance()

  - ### Method Detail

    - #### process

          public void process(HttpResponse response,
                              EntityDetails entity,
                              HttpContext context)
                       throws HttpException,
                              IOException

      Description copied from interface: `HttpResponseInterceptor`
      Processes a response. On the server side, this step is performed before the response is sent to the client. On the client side, this step is performed on incoming messages before the message body is evaluated.
      Specified by:
        `process` in interface `HttpResponseInterceptor`
      Parameters:
        `response` - the response to process
        `entity` - the request entity details or `null` if not available
        `context` - the context for the request
      Throws:
        `HttpException` - in case of an HTTP protocol violation
        `IOException` - in case of an I/O error

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.